Bug 765281 - (GLUSTER-3549) Add 'force' option to 'peer detach'
Add 'force' option to 'peer detach'
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Kaushal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-14 06:26 EDT by Kaushal
Modified: 2015-12-01 11:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Kaushal 2011-09-14 06:26:52 EDT
Presently, a peer can be detached only if no volumes in cluster exist with bricks on that peer. If a peer contains bricks that belong to a volume in the cluster, detach fails. A 'force' option is useful in such cases.

Suggested by Vijay.
Comment 1 Anand Avati 2011-10-01 05:54:45 EDT
CHANGE: http://review.gluster.com/429 (Adds add a 'force' option to 'peer detach' to forcefully detach a peer from a) merged in master by Vijay Bellur (vijay@gluster.com)

Note You need to log in before you can comment on or make changes to this bug.